Package org.eclipse.m2m.atl.emftvm

## Enum RuleMode

- java.lang.Object
- - java.lang.Enum<RuleMode>
  - - org.eclipse.m2m.atl.emftvm.RuleMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<RuleMode>`, `org.eclipse.emf.common.util.Enumerator`

    public enum RuleMode
    extends java.lang.Enum<RuleMode>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Rule Mode', and utility methods for working with them.

See Also:
  `EmftvmPackage.getRuleMode()`

### Enum Constant Summary

Enum Constants
`AUTOMATIC_RECURSIVE` The 'Automatic Recursive' literal object.
`AUTOMATIC_SINGLE` The 'Automatic Single' literal object.
`MANUAL` The 'Manual' literal object.

### Field Summary

Fields
`static int` `AUTOMATIC_RECURSIVE_VALUE` The 'Automatic Recursive' literal value.
`static int` `AUTOMATIC_SINGLE_VALUE` The 'Automatic Single' literal value.
`static int` `MANUAL_VALUE` The 'Manual' literal value.
`static java.util.List<RuleMode>` `VALUES` A public read-only list of all the 'Rule Mode' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RuleMode` `get​(int value)` Returns the 'Rule Mode' literal with the specified integer value.
`static RuleMode` `get​(java.lang.String literal)` Returns the 'Rule Mode' literal with the specified literal value.
`static RuleMode` `getByName​(java.lang.String name)` Returns the 'Rule Mode' literal with the specified name.
`java.lang.String` `getLiteral()` Returns the literal string value.
`java.lang.String` `getName()` Returns the literal name.
`int` `getValue()` Returns the literal integer value.
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static RuleMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RuleMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MANUAL

    public static final RuleMode MANUAL

The 'Manual' literal object.

See Also:
  `MANUAL_VALUE`

#### AUTOMATIC_SINGLE

    public static final RuleMode AUTOMATIC_SINGLE

The 'Automatic Single' literal object.

See Also:
  `AUTOMATIC_SINGLE_VALUE`

#### AUTOMATIC_RECURSIVE

    public static final RuleMode AUTOMATIC_RECURSIVE

The 'Automatic Recursive' literal object.

See Also:
  `AUTOMATIC_RECURSIVE_VALUE`

### Field Detail

#### MANUAL_VALUE

    public static final int MANUAL_VALUE

The 'Manual' literal value.

If the meaning of 'Manual' literal object isn't clear, there really should be more of a description here...

See Also:
  `MANUAL`, Constant Field Values

#### AUTOMATIC_SINGLE_VALUE

    public static final int AUTOMATIC_SINGLE_VALUE

The 'Automatic Single' literal value.

If the meaning of 'Automatic Single' literal object isn't clear, there really should be more of a description here...

See Also:
  `AUTOMATIC_SINGLE`, Constant Field Values

#### AUTOMATIC_RECURSIVE_VALUE

    public static final int AUTOMATIC_RECURSIVE_VALUE

The 'Automatic Recursive' literal value.

If the meaning of 'Automatic Recursive' literal object isn't clear, there really should be more of a description here...

See Also:
  `AUTOMATIC_RECURSIVE`, Constant Field Values

#### VALUES

    public static final java.util.List<RuleMode> VALUES

A public read-only list of all the 'Rule Mode' enumerators.

### Method Detail

#### values

    public static RuleMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RuleMode c : RuleMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RuleMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static RuleMode get​(java.lang.String literal)

Returns the 'Rule Mode' literal with the specified literal value.

Parameters:
  `literal` - the literal string value
  `literal` - the literal.
Returns:
  the 'Rule Mode' literal with the specified literal value.

#### getByName

    public static RuleMode getByName​(java.lang.String name)

Returns the 'Rule Mode' literal with the specified name.

Parameters:
  `name` - the literal name
  `name` - the name.
Returns:
  the 'Rule Mode' literal with the specified name.

#### get

    public static RuleMode get​(int value)

Returns the 'Rule Mode' literal with the specified integer value.

Parameters:
  `value` - the literal integer value
  `value` - the integer value.
Returns:
  the 'Rule Mode' literal with the specified integer value.

#### getValue

    public int getValue()

Returns the literal integer value.

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal integer value.

#### getName

    public java.lang.String getName()

Returns the literal name.

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal name.

#### getLiteral

    public java.lang.String getLiteral()

Returns the literal string value.

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal string value.

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<RuleMode>`
Returns:
  the literal value of the enumerator, which is its string representation.